Get a list of KM Record data

Query Data for a Record in the Knowledge Model.

SecurityBearerAuth or ApiKeyAuth
Request
path Parameters
km_id
required
string
Example: open-purchase-requisition.purchase-requisition-km
record_id
required
string
Example: MATERIALS
query Parameters
filters
Array of strings
Example: filters=active_incidents,cel_and_kpi
fields
Array of strings
Example: fields=active,approval
page
integer >= 0
Default: 0

The page number of the result, starting by 0 (first page)

pageSize
integer >= 1
Default: 50

The number of items returned in a page.

sort
Array of strings

Defines the order in which results are returned (record-level GET).

The sortParamRecord query parameter must be a comma-separated list of record fields. Any value used in sortParamRecord must also be included in the fields parameter. If a value appears in sortParamRecord but is not included in fields, the API cannot evaluate it and sorting will not be applied correctly.

If a non-existing field is provided, the request will return an error.

Sort direction is specified using optional prefixes:

  • + for ascending order (ASC)
  • - for descending order (DESC)
  • No prefix defaults to ascending order (ASC)

Examples

  • sortParamRecord=+field1 (sorting in ascending order by a record field)
  • sortParamRecord=-field2,field1 (sorting in descending order by a record field and in ascending order by another record field)
Example: sort=+field1,-field2,field3
filterExpr
Array of strings
Example: filterExpr=active eq true and name not eq 'John Doe'
options
Array of strings

Set different options to customize the data results for a query. Supported options

  • Distinct: Enable the unique data results for a query
Example: options=distinct
searchTerm
string

The term to search for. The search will attempt to find matches that are similar to this term.

searchPrecision
integer [ 1 .. 100 ]

The strictness of the fuzzy matching algorithm. A lower value will return less accurate matches (more 'fuzzy').

searchField
string

The specific field within the data structure that is targeted by the search.

Responses
200

List of Record data.

400

Bad Request.

401

Unauthorized access.

403

Forbidden.

404

The specified resource was not found

429

Too Many Requests.

500

Internal Server Error.

503

Service Unavailable.

get/intelligence/api/knowledge-models/{km_id}/records/{record_id}/query
Request samples
Response samples
application/json
{
  • "content": [
    ],
  • "page": 0,
  • "pageSize": 50,
  • "total": 1,
  • "sort": [
    ]
}